### Function

# Qmi MessageUimRegisterEventsInput new

since: 1.22.4

#### Declaration [src]

    QmiMessageUimRegisterEventsInput*
    qmi_message_uim_register_events_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageUimRegisterEventsInput`.

Available since: 1.22.4

#### Return value

Type: `QmiMessageUimRegisterEventsInput`

The newly created `QmiMessageUimRegisterEventsInput`. The returned value should be freed with qmi_message_uim_register_events_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.